Function
skipUntilLineBeginsWithChar
Skip input until the first graphical(see isgraph) character of a line is equal to c
skipUntilLineBeginsWithChar(RecordReader<TStream, TPass> & recordReader, TChar const & c)
Include Headers
seqan/stream.h
Parameters

recordReader | The RecordReader to read from. Types: RecordReader
c | The character to look for, must be in isgraph

Remarks
This function skips lines, and then non-graphical chars at the line beginnings,
until it finds a line where the first graph-character is c. It stops on c, not behind.
Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult, skipUntilLineBeginsWithStr
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59